Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class SVGComposite

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite

All Implemented Interfaces:
  java.awt.Composite

public class SVGComposite
extends java.lang.Object
implements java.awt.Composite

This provides an implementation of all the composite rules in SVG.

Nested Class Summary
`static class` | `SVGComposite.AlphaPreCompositeContext`
`static class` | `SVGComposite.AlphaPreCompositeContext_INT_PACK`
`static class` | `SVGComposite.ArithCompositeContext`
`static class` | `SVGComposite.ArithCompositeContext_INT_PACK`
`static class` | `SVGComposite.ArithCompositeContext_INT_PACK_LUT`
`static class` | `SVGComposite.AtopCompositeContext`
`static class` | `SVGComposite.AtopCompositeContext_INT_PACK`
`static class` | `SVGComposite.DarkenCompositeContext`
`static class` | `SVGComposite.DarkenCompositeContext_INT_PACK`
`static class` | `SVGComposite.InCompositeContext`
`static class` | `SVGComposite.InCompositeContext_INT_PACK`
`static class` | `SVGComposite.LightenCompositeContext`
`static class` | `SVGComposite.LightenCompositeContext_INT_PACK`
`static class` | `SVGComposite.MultiplyCompositeContext` The following classes implement the various blend modes from SVG.
`static class` | `SVGComposite.MultiplyCompositeContext_INT_PACK`
`static class` | `SVGComposite.OutCompositeContext`
`static class` | `SVGComposite.OutCompositeContext_INT_PACK`
`static class` | `SVGComposite.OverCompositeContext` This implements SRC_OVER for 4 band byte data.
`static class` | `SVGComposite.OverCompositeContext_INT_PACK` This implements SRC_OVER for Int packed data where the src is premultiplied.
`static class` | `SVGComposite.OverCompositeContext_INT_PACK_NA` This implements SRC_OVER for Int packed data and dest has no Alpha...
`static class` | `SVGComposite.OverCompositeContext_INT_PACK_UNPRE` This implements SRC_OVER for Int packed data where the src is unpremultiplied.
`static class` | `SVGComposite.OverCompositeContext_NA` This implements SRC_OVER for 4 band byte src data and 3 band byte dst data.
`static class` | `SVGComposite.ScreenCompositeContext`
`static class` | `SVGComposite.ScreenCompositeContext_INT_PACK`
`static class` | `SVGComposite.XorCompositeContext`
`static class` | `SVGComposite.XorCompositeContext_INT_PACK`

Field Summary
`static SVGComposite` | `ATOP`
`static SVGComposite` | `DARKEN`
`static SVGComposite` | `IN`
`static SVGComposite` | `LIGHTEN`
`static SVGComposite` | `MULTIPLY`
`static SVGComposite` | `OUT`
`static SVGComposite` | `OVER`
`static SVGComposite` | `SCREEN`
`static SVGComposite` | `XOR`

Constructor Summary
`SVGComposite(CompositeRule rule)`

Method Summary
`java.awt.CompositeContext` | `createContext(java.awt.image.ColorModel srcCM, java.awt.image.ColorModel dstCM, java.awt.RenderingHints hints)`
`boolean` | `equals(java.lang.Object o)`
`CompositeRule` | `getRule()`
`boolean` | `is_INT_PACK(java.awt.image.ColorModel cm)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OVER

    public static final SVGComposite OVER

### IN

    public static final SVGComposite IN

### OUT

    public static final SVGComposite OUT

### ATOP

    public static final SVGComposite ATOP

### XOR

    public static final SVGComposite XOR

### MULTIPLY

    public static final SVGComposite MULTIPLY

### SCREEN

    public static final SVGComposite SCREEN

### DARKEN

    public static final SVGComposite DARKEN

### LIGHTEN

    public static final SVGComposite LIGHTEN

Constructor Detail

### SVGComposite

    public SVGComposite(CompositeRule rule)

Method Detail

### getRule

    public CompositeRule getRule()

### equals

    public boolean equals(java.lang.Object o)

### is_INT_PACK

    public boolean is_INT_PACK(java.awt.image.ColorModel cm)

### createContext

    public java.awt.CompositeContext createContext(java.awt.image.ColorModel srcCM,
                                                   java.awt.image.ColorModel dstCM,
                                                   java.awt.RenderingHints hints)

  Specified by:
    `createContext` in interface `java.awt.Composite`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.